//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;

namespace CommunityServer.Controls
{
	/// <summary>
	/// This control is not a true image map. It simply renders the standard map used on the edit pages.
	/// </summary>
	public class EmotionsImageMap : System.Web.UI.Control
	{
		public EmotionsImageMap()
		{
			
		}

        private string _src;
        
        /// <summary>
        /// Property Src (string)
        /// </summary>
        public string Src
        {
            get
            {  return this._src; }
            set
            {  this._src = value; }
        }

        protected override void Render(System.Web.UI.HtmlTextWriter writer)
        {
            writer.WriteLine("<img src={0} width=\"122\" height=\"244\" border=\"0\" usemap=\"#Map\">",Src);
            writer.WriteLine("<map name=\"Map\">");
            writer.WriteLine("<area shape=\"rect\" coords=\"0,1,21,20\" onclick=\"InsertText('[:)]'); return false;\" alt=\":)\">");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,1,46,20\" onclick=\"InsertText('[:D]'); return false;\" alt=\":D\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,1,71,20\" onclick=\"InsertText('[:O]'); return false;\" alt=\":O\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,1,96,20\" onclick=\"InsertText('[:P]'); return false;\" alt=\":P\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,1,121,20\" onclick=\"InsertText('[;)]'); return false;\" alt=\";)\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,23,21,42\" onclick=\"InsertText('[:(]'); return false;\" alt=\":(\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,23,46,42\" onclick=\"InsertText('[:S]'); return false;\" alt=\":S\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,23,71,42\" onclick=\"InsertText('[:|]'); return false;\" alt=\":|\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,23,96,42\" onclick=\"InsertText('[:\\\'(]'); return false;\" alt=\":\'(\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,23,121,42\" onclick=\"InsertText('[:$]'); return false;\" alt=\":$\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,45,21,64\" onclick=\"InsertText('[H]'); return false;\" alt=\"H\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,45,46,64\" onclick=\"InsertText('[:@]'); return false;\" alt=\":@\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,45,71,64\" onclick=\"InsertText('[A]'); return false;\" alt=\"A\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,45,96,64\" onclick=\"InsertText('[6]'); return false;\" alt=\"6\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,45,121,64\" onclick=\"InsertText('[8-|]'); return false;\" alt=\"8-|\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,67,21,86\" onclick=\"InsertText('[:#]'); return false;\" alt=\":#\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,67,46,86\" onclick=\"InsertText('[:-*]'); return false;\" alt=\":-*\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,67,71,86\" onclick=\"InsertText('[:^)]'); return false;\" alt=\":^)\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,67,96,86\" onclick=\"InsertText('[<:o)]'); return false;\" alt=\"<:o)\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,67,121,86\" onclick=\"InsertText('[|-)]'); return false;\" alt=\"|-)\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,89,21,108\" onclick=\"InsertText('[Y]'); return false;\" alt=\"Y\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,89,46,108\" onclick=\"InsertText('[B]'); return false;\" alt=\"B\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,89,71,108\" onclick=\"InsertText('[{]'); return false;\" alt=\"{\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,89,96,108\" onclick=\"InsertText('[8]'); return false;\" alt=\"8\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,89,121,108\" onclick=\"InsertText('[*]'); return false;\" alt=\"*\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,111,21,130\" onclick=\"InsertText('[O]'); return false;\" alt=\"O\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,111,46,130\" onclick=\"InsertText('[sn]'); return false;\" alt=\"sn\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,111,71,130\" onclick=\"InsertText('[pi]'); return false;\" alt=\"pi\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,111,96,130\" onclick=\"InsertText('[au]'); return false;\" alt=\"au\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,111,121,130\" onclick=\"InsertText('[um]'); return false;\" alt=\"um\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,133,21,152\" onclick=\"InsertText('[co]'); return false;\" alt=\"co\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,133,46,152\" onclick=\"InsertText('[st]'); return false;\" alt=\"st\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,133,71,152\" onclick=\"InsertText('[mo]'); return false;\" alt=\"mo\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,133,96,152\" onclick=\"InsertText('[8o|]'); return false;\" alt=\"8o\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,133,121,152\" onclick=\"InsertText('[^o)]'); return false;\" alt=\"^o)\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,155,21,174\" onclick=\"InsertText('[+o(]'); return false;\" alt=\"+o(\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,155,46,174\" onclick=\"InsertText('[*-)]'); return false;\" alt=\"*-)\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,155,71,174\" onclick=\"InsertText('[8-)]'); return false;\" alt=\"8-)\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,155,96,174\" onclick=\"InsertText('[C]'); return false;\" alt=\"C\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,155,121,174\" onclick=\"InsertText('[N]'); return false;\" alt=\"N\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,177,21,196\" onclick=\"InsertText('[D]'); return false;\" alt=\"D\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,177,46,196\" onclick=\"InsertText('[Z]'); return false;\" alt=\"Z\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,177,71,196\" onclick=\"InsertText('[}]'); return false;\" alt=\"}\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,177,96,196\" onclick=\"InsertText('[^]'); return false;\" alt=\"^\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,177,121,196\" onclick=\"InsertText('[U]'); return false;\" alt=\"U\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,199,21,218\" onclick=\"InsertText('[G]'); return false;\" alt=\"G\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,199,46,218\" onclick=\"InsertText('[W]'); return false;\" alt=\"W\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,199,71,218\" onclick=\"InsertText('[~]'); return false;\" alt=\"~\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,199,96,218\" onclick=\"InsertText('[&]'); return false;\" alt=\"&\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,199,121,218\" onclick=\"InsertText('[I]'); return false;\" alt=\"I\" >");

            writer.WriteLine("<area shape=\"rect\" coords=\"0,221,21,240\" onclick=\"InsertText('[S]'); return false;\" alt=\"S\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"25,221,46,240\" onclick=\"InsertText('[E]'); return false;\" alt=\"E\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"50,221,71,240\" onclick=\"InsertText('[ap]'); return false;\" alt=\"ap\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"75,221,96,240\" onclick=\"InsertText('[ip]'); return false;\" alt=\"ip\" >");
            writer.WriteLine("<area shape=\"rect\" coords=\"100,221,121,240\" onclick=\"InsertText('[li]'); return false;\" alt=\"li\" >");
            writer.WriteLine("</map>");
        }

	}
}
